<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
<!----------------------------------------------------------------------------------------------------
  
   All Emoncms code is released under the GNU Affero General Public License.
   See COPYRIGHT.txt and LICENSE.txt.

    ---------------------------------------------------------------------
    Emoncms - open source energy visualisation
    Part of the OpenEnergyMonitor project:
    http://openenergymonitor.org

-------------------------------------------------------------------------------------->

 <?php
  global $path, $embed;
  
 ?>
        
        <script language="javascript" type="text/javascript" src="<?php echo $path; ?>Modules/vis/visualisations/common/api.js"></script>
        <script type="text/javascript" src="<?php echo $path; ?>Lib/tablejs/custom-table-fields.js"></script>
        <script type="text/javascript" src="<?php echo $path; ?>Lib/tablejs/table.js"></script>
        <script type="text/javascript" src="<?php echo $path; ?>Lib/moment.js"></script>
        <script type="text/javascript" src="<?php echo $path; ?>Lib/moment-timezone-with-data.js"></script>
        <script type="text/javascript" src="<?php echo $path; ?>Lib/hr.js"></script>
        
    </head>
    <body>
    
 <!---------------------------------------------------------------------------------------------------
 // Time window buttons
 ---------------------------------------------------------------------------------------------------->
<?php if (!$embed) { ?>
<h2>Tablični prikaz</h2>
<?php } ?>


 <style>
    table tr td :last-child {
    margin-bottom: 0;
    }
 </style>



 <div id="table_bound" style="width:100%; position:relative; ">
   <div id="localheading">
     <h4><?php echo _('Tablica dnevnih izmjerenih vrijednosti'); ?></h4>
     <h4>Podatak: <?php echo $feedidname; ?></h4>
     <h4>Period od <?php echo gmdate("d.m.Y", $start+7200); ?> do <?php echo gmdate("d.m.Y", $end); ?> </h4>
   </div>
   <div id="table"></div>
 </div>



 <script>
   //--------------------------------------------------------------------------------------
   var feedid = <?php echo $feedid; ?>;				//Fetch table name
   var feedname = "<?php echo $feedidname; ?>";
   var path = "<?php echo $path; ?>";
   var apikey = "<?php echo $apikey; ?>";	
   var embed = <?php echo $embed; ?>;
   var units = "<?php echo $units; ?>";
   var start = <?php echo $start+7200; ?> *1000;
   var end = <?php echo $end; ?> *1000;
   //----------------------------------------------------------------------------------------
   // These start time and end time set the initial graph view window 
   //----------------------------------------------------------------------------------------
   
   //var timeWindow = (3600000*24.0*7);	//Initial time window
   //var start = +new Date - timeWindow;	//Get start time
   //var end = +new Date;				    //Get end time
   
   
  
   var table_bound = $('#table_bound');
   tablex = $("#table");
   
   
   table.element = "#table";
   
   tablex.width(table_bound.width());  //.height(table_bound.height());
   //if (embed) tablex.height($(window).height());

   var data = [];
   var kolona = 2;
   var tekst_kolone="Vrijednost";

   var vrsta_tablice = feedname.search("AMM");
   var temp_unit = units.search("°C");
   var rH_unit = feedname.search("rH");

   //window.alert(vrsta_tablice);
   if (temp_unit> -1) tekst_kolone=" temp °C";

   if (rH_unit> -1) tekst_kolone=" rH %"; units ="%";
   

   if (vrsta_tablice> -1){
      //  AMM h i d podaci 3 kolone
      kolona=2;
   } else {
     // log i ostalo 1 kolona
      kolona=1;
   }

  
   loop();

   function loop()
   {
     //start = +new Date-timeWindow;		//Get start time
     //end = +new Date;   			//Get end time
     vis_feed_datatable();
    
   }

  $(window).resize(function(){
    tablex.width(table_bound.width());
    //if (embed) tablex.height($(window).height());
    table.draw();
  });

   function vis_feed_datatable()
   {
     data=get_feed_datatable(feedid,start,end,kolona);
     table.data=data;
     // window.alert(table.data);
     table.draw();
     //fetch async to not block
     //get_feed_data_async(feedid,start,end,7, function(response){
     //   data = response;
     //   table.data=data;
     //   table.draw();
        //start new loop 2sec after we got the async response through the callback
     //   setTimeout(loop, 2000);
     //});
   }
  
  
   if (vrsta_tablice> -1){
      //  AMM h i d podaci 3 kolone
      table.fields = {
      'time':{'title':"<?php echo _('Datum i vrijeme'); ?>", 'type':"date_d"},
      'data':{'title':"<?php echo _('Avg '); ?>"+tekst_kolone, 'type':"num1"},
      'data3':{'title':"<?php echo _('Min '); ?>"+tekst_kolone, 'type':"text"},
      'data4':{'title':"<?php echo _('Max '); ?>"+tekst_kolone, 'type':"text"}
      }
   } else {
       // log i ostalo 1 kolona
       table.fields = {
      'time':{'title':"<?php echo _('Datum i vrijeme'); ?>", 'type':"date_dv"},
      'data':{'title':tekst_kolone, 'type':"num1"}
      }
   }
   
   
   
  table.sortfield='time';   
 
  table.draw()
  function update() {
    table.data = data;
    table.draw();
    if (table.data.length != 0) {
      $("#localheading").show();
    } else { 
      $("#localheading").show(); 
    };
  }


  </script>

  </body>
</html>  